Patch  oval:org.mitre.oval:def:13000
DSA-1964-1 postgresql-7.4, postgresql-8.1, postgresql-8.3 -- several  

Several vulnerabilities have been discovered in PostgreSQL, a database server. The Common Vulnerabilities and Exposures project identifies the following problems: It was discovered that PostgreSQL did not properly verify the Common Name attribute in X.509 certificates, enabling attackers to bypass the TLS protection on client-server connections, by relying on a certificate from a trusted CA which contains an embedded NUL byte in the Common Name. Authenticated database users could elevate their privileges by creating specially-crafted index functions. The following table shows fixed source package versions for the respective distributions. oldstable/etch stable/lenny testing/unstable postgresql-7.4 1:7.4.27-0etch1 postgresql-8.1 8.1.19-0etch1 postgresql-8.3 8.3.9-0lenny1 8.3.9-1 postgresql-8.4 8.4.2-1 In addition to these security fixes, the updates contain reliability improvements and fix other defects. We recommend that you upgrade your PostgreSQL packages.
Create Date: 2011-10-11 Last Update Date: 2015-02-23

Affected Platforms/Products

Affected Products (CPE + CVE references)
Platforms: unix (from OVAL definitions) Products: unix
  • Debian GNU/Linux 5.0
  • Debian GNU/Linux 4.0
  • postgresql-8.3
  • postgresql-8.1
  • postgresql-7.4

References

Criteria

The patch should be installed
IF : Any one of the following are true
IF : All of the following are true Release section
Prerequisites (Extended Definitions)
Debian GNU/Linux 4.0 is installed. oval:org.mitre.oval:def:6461
IF : Any one of the following are true Architecture section
IF : postgresql-pltcl-7.4 DPKG is earlier than 1:7.4.27-0etch1
Linux : Debian DPKG Test :  postgresql-pltcl-7.4 DPKG is earlier than 1:7.4.27-0etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-pltcl-7.4 package information
postgresql-pltcl-7.4
RPM Version less than 1:7.4.27-0etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libpq4 DPKG is earlier than 8.1.19-0etch1
Linux : Debian DPKG Test :  libpq4 DPKG is earlier than 8.1.19-0etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libpq4 package information
libpq4
RPM Version less than 0:8.1.19-0etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libecpg-compat2 DPKG is earlier than 8.1.19-0etch1
Linux : Debian DPKG Test :  libecpg-compat2 DPKG is earlier than 8.1.19-0etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libecpg-compat2 package information
libecpg-compat2
RPM Version less than 0:8.1.19-0etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libecpg-dev DPKG is earlier than 8.1.19-0etch1
Linux : Debian DPKG Test :  libecpg-dev DPKG is earlier than 8.1.19-0etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libecpg-dev package information
libecpg-dev
RPM Version less than 0:8.1.19-0etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-plpython-8.1 DPKG is earlier than 8.1.19-0etch1
Linux : Debian DPKG Test :  postgresql-plpython-8.1 DPKG is earlier than 8.1.19-0etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-plpython-8.1 package information
postgresql-plpython-8.1
RPM Version less than 0:8.1.19-0etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-server-dev-8.1 DPKG is earlier than 8.1.19-0etch1
Linux : Debian DPKG Test :  postgresql-server-dev-8.1 DPKG is earlier than 8.1.19-0etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-server-dev-8.1 package information
postgresql-server-dev-8.1
RPM Version less than 0:8.1.19-0etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libpgtypes2 DPKG is earlier than 8.1.19-0etch1
Linux : Debian DPKG Test :  libpgtypes2 DPKG is earlier than 8.1.19-0etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libpgtypes2 package information
libpgtypes2
RPM Version less than 0:8.1.19-0etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-client-7.4 DPKG is earlier than 1:7.4.27-0etch1
Linux : Debian DPKG Test :  postgresql-client-7.4 DPKG is earlier than 1:7.4.27-0etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-client-7.4 package information
postgresql-client-7.4
RPM Version less than 1:7.4.27-0etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-pltcl-8.1 DPKG is earlier than 8.1.19-0etch1
Linux : Debian DPKG Test :  postgresql-pltcl-8.1 DPKG is earlier than 8.1.19-0etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-pltcl-8.1 package information
postgresql-pltcl-8.1
RPM Version less than 0:8.1.19-0etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libecpg5 DPKG is earlier than 8.1.19-0etch1
Linux : Debian DPKG Test :  libecpg5 DPKG is earlier than 8.1.19-0etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libecpg5 package information
libecpg5
RPM Version less than 0:8.1.19-0etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-contrib-7.4 DPKG is earlier than 1:7.4.27-0etch1
Linux : Debian DPKG Test :  postgresql-contrib-7.4 DPKG is earlier than 1:7.4.27-0etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-contrib-7.4 package information
postgresql-contrib-7.4
RPM Version less than 1:7.4.27-0etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-contrib-8.1 DPKG is earlier than 8.1.19-0etch1
Linux : Debian DPKG Test :  postgresql-contrib-8.1 DPKG is earlier than 8.1.19-0etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-contrib-8.1 package information
postgresql-contrib-8.1
RPM Version less than 0:8.1.19-0etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-plpython-7.4 DPKG is earlier than 1:7.4.27-0etch1
Linux : Debian DPKG Test :  postgresql-plpython-7.4 DPKG is earlier than 1:7.4.27-0etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-plpython-7.4 package information
postgresql-plpython-7.4
RPM Version less than 1:7.4.27-0etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libpq-dev DPKG is earlier than 8.1.19-0etch1
Linux : Debian DPKG Test :  libpq-dev DPKG is earlier than 8.1.19-0etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libpq-dev package information
libpq-dev
RPM Version less than 0:8.1.19-0etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-8.1 DPKG is earlier than 8.1.19-0etch1
Linux : Debian DPKG Test :  postgresql-8.1 DPKG is earlier than 8.1.19-0etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-8.1 package information
postgresql-8.1
RPM Version less than 0:8.1.19-0etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-client-8.1 DPKG is earlier than 8.1.19-0etch1
Linux : Debian DPKG Test :  postgresql-client-8.1 DPKG is earlier than 8.1.19-0etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-client-8.1 package information
postgresql-client-8.1
RPM Version less than 0:8.1.19-0etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-7.4 DPKG is earlier than 1:7.4.27-0etch1
Linux : Debian DPKG Test :  postgresql-7.4 DPKG is earlier than 1:7.4.27-0etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-7.4 package information
postgresql-7.4
RPM Version less than 1:7.4.27-0etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-plperl-8.1 DPKG is earlier than 8.1.19-0etch1
Linux : Debian DPKG Test :  postgresql-plperl-8.1 DPKG is earlier than 8.1.19-0etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-plperl-8.1 package information
postgresql-plperl-8.1
RPM Version less than 0:8.1.19-0etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-plperl-7.4 DPKG is earlier than 1:7.4.27-0etch1
Linux : Debian DPKG Test :  postgresql-plperl-7.4 DPKG is earlier than 1:7.4.27-0etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-plperl-7.4 package information
postgresql-plperl-7.4
RPM Version less than 1:7.4.27-0etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : All of the following are true Architecture independent section
IF : Installed architecture is all
Uname Test :  Installed architecture is all 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
IF : Any one of the following are true Packages section
IF : postgresql-server-dev-7.4 DPKG is earlier than 1:7.4.27-0etch1
Linux : Debian DPKG Test :  postgresql-server-dev-7.4 DPKG is earlier than 1:7.4.27-0etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-server-dev-7.4 package information
postgresql-server-dev-7.4
RPM Version less than 1:7.4.27-0etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-doc-8.1 DPKG is earlier than 8.1.19-0etch1
Linux : Debian DPKG Test :  postgresql-doc-8.1 DPKG is earlier than 8.1.19-0etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-doc-8.1 package information
postgresql-doc-8.1
RPM Version less than 0:8.1.19-0etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-doc-7.4 DPKG is earlier than 1:7.4.27-0etch1
Linux : Debian DPKG Test :  postgresql-doc-7.4 DPKG is earlier than 1:7.4.27-0etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-doc-7.4 package information
postgresql-doc-7.4
RPM Version less than 1:7.4.27-0etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : All of the following are true Release section
Prerequisites (Extended Definitions)
Debian GNU/Linux 5.0 is installed oval:org.mitre.oval:def:6513
IF : Any one of the following are true Architecture section
IF : All of the following are true Architecture depended section
IF : Any one of the following are true Packages section
IF : libecpg-dev DPKG is earlier than 8.3.9-0lenny1
Linux : Debian DPKG Test :  libecpg-dev DPKG is earlier than 8.3.9-0lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libecpg-dev package information
libecpg-dev
RPM Version less than 0:8.3.9-0lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-pltcl-8.3 DPKG is earlier than 8.3.9-0lenny1
Linux : Debian DPKG Test :  postgresql-pltcl-8.3 DPKG is earlier than 8.3.9-0lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-pltcl-8.3 package information
postgresql-pltcl-8.3
RPM Version less than 0:8.3.9-0lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libpq5 DPKG is earlier than 8.3.9-0lenny1
Linux : Debian DPKG Test :  libpq5 DPKG is earlier than 8.3.9-0lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libpq5 package information
libpq5
RPM Version less than 0:8.3.9-0lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libpgtypes3 DPKG is earlier than 8.3.9-0lenny1
Linux : Debian DPKG Test :  libpgtypes3 DPKG is earlier than 8.3.9-0lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libpgtypes3 package information
libpgtypes3
RPM Version less than 0:8.3.9-0lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libecpg-compat3 DPKG is earlier than 8.3.9-0lenny1
Linux : Debian DPKG Test :  libecpg-compat3 DPKG is earlier than 8.3.9-0lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libecpg-compat3 package information
libecpg-compat3
RPM Version less than 0:8.3.9-0lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libpq-dev DPKG is earlier than 8.3.9-0lenny1
Linux : Debian DPKG Test :  libpq-dev DPKG is earlier than 8.3.9-0lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libpq-dev package information
libpq-dev
RPM Version less than 0:8.3.9-0lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-plpython-8.3 DPKG is earlier than 8.3.9-0lenny1
Linux : Debian DPKG Test :  postgresql-plpython-8.3 DPKG is earlier than 8.3.9-0lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-plpython-8.3 package information
postgresql-plpython-8.3
RPM Version less than 0:8.3.9-0lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-contrib-8.3 DPKG is earlier than 8.3.9-0lenny1
Linux : Debian DPKG Test :  postgresql-contrib-8.3 DPKG is earlier than 8.3.9-0lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-contrib-8.3 package information
postgresql-contrib-8.3
RPM Version less than 0:8.3.9-0lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-server-dev-8.3 DPKG is earlier than 8.3.9-0lenny1
Linux : Debian DPKG Test :  postgresql-server-dev-8.3 DPKG is earlier than 8.3.9-0lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-server-dev-8.3 package information
postgresql-server-dev-8.3
RPM Version less than 0:8.3.9-0lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libecpg6 DPKG is earlier than 8.3.9-0lenny1
Linux : Debian DPKG Test :  libecpg6 DPKG is earlier than 8.3.9-0lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libecpg6 package information
libecpg6
RPM Version less than 0:8.3.9-0lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-8.3 DPKG is earlier than 8.3.9-0lenny1
Linux : Debian DPKG Test :  postgresql-8.3 DPKG is earlier than 8.3.9-0lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-8.3 package information
postgresql-8.3
RPM Version less than 0:8.3.9-0lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-plperl-8.3 DPKG is earlier than 8.3.9-0lenny1
Linux : Debian DPKG Test :  postgresql-plperl-8.3 DPKG is earlier than 8.3.9-0lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-plperl-8.3 package information
postgresql-plperl-8.3
RPM Version less than 0:8.3.9-0lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-client-8.3 DPKG is earlier than 8.3.9-0lenny1
Linux : Debian DPKG Test :  postgresql-client-8.3 DPKG is earlier than 8.3.9-0lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-client-8.3 package information
postgresql-client-8.3
RPM Version less than 0:8.3.9-0lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : Any one of the following are true Supported architectures section
IF : Installed architecture is hppa
Uname Test :  Installed architecture is hppa 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) hppa
processor_type is hppa unix : uname_state 
IF : Installed architecture is mipsel
Uname Test :  Installed architecture is mipsel 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) mipsel
processor_type is mipsel unix : uname_state 
IF : Installed architecture is powerpc
Uname Test :  Installed architecture is powerpc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) ppc
processor_type is ppc unix : uname_state 
IF : Installed architecture is alpha
Uname Test :  Installed architecture is alpha 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) alpha
processor_type is alpha unix : uname_state 
IF : Installed architecture is ia64
Uname Test :  Installed architecture is ia64 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) ia64
processor_type is ia64 unix : uname_state 
IF : Installed architecture is mips
Uname Test :  Installed architecture is mips 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) mips
processor_type is mips unix : uname_state 
IF : Installed architecture is armel
Uname Test :  Installed architecture is armel 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) armel
processor_type is armel unix : uname_state 
IF : Installed architecture is i386
Uname Test :  Installed architecture is i386 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) i686
processor_type is i686 unix : uname_state 
IF : Installed architecture is arm
Uname Test :  Installed architecture is arm 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) arm
processor_type is arm unix : uname_state 
IF : Installed architecture is sparc
Uname Test :  Installed architecture is sparc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) sparc
processor_type is sparc unix : uname_state 
IF : Installed architecture is amd64
Uname Test :  Installed architecture is amd64 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) x86-64
processor_type is x86-64 unix : uname_state 
IF : Installed architecture is s390
Uname Test :  Installed architecture is s390 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) s390x
processor_type is s390x unix : uname_state 
IF : All of the following are true Architecture independent section
IF : Installed architecture is all
Uname Test :  Installed architecture is all 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
IF : Any one of the following are true Packages section
IF : postgresql-contrib DPKG is earlier than 8.3.9-0lenny1
Linux : Debian DPKG Test :  postgresql-contrib DPKG is earlier than 8.3.9-0lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-contrib package information
postgresql-contrib
RPM Version less than 0:8.3.9-0lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-client DPKG is earlier than 8.3.9-0lenny1
Linux : Debian DPKG Test :  postgresql-client DPKG is earlier than 8.3.9-0lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-client package information
postgresql-client
RPM Version less than 0:8.3.9-0lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql DPKG is earlier than 8.3.9-0lenny1
Linux : Debian DPKG Test :  postgresql DPKG is earlier than 8.3.9-0lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql package information
postgresql
RPM Version less than 0:8.3.9-0lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-doc DPKG is earlier than 8.3.9-0lenny1
Linux : Debian DPKG Test :  postgresql-doc DPKG is earlier than 8.3.9-0lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-doc package information
postgresql-doc
RPM Version less than 0:8.3.9-0lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-doc-8.3 DPKG is earlier than 8.3.9-0lenny1
Linux : Debian DPKG Test :  postgresql-doc-8.3 DPKG is earlier than 8.3.9-0lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-doc-8.3 package information
postgresql-doc-8.3
RPM Version less than 0:8.3.9-0lenny1 (datatype=evr_string)
linux : dpkginfo_state 

Quick Help

evr_string datatype
Represents epoch, version, and release number as a single version string
Other Help Topics
Data Types
What is an Object?
What is a State?
What is a Test?
Other Help Topics
Regular Expression Patterns
Some object or state definitions are defined as regular expression patterns, you should interpret the regexp pattern while evaluating them.

OVAL Definitions By Referenced Objects

How does it work?   User agreement and privacy statement   About & Contact
CVE is a registred trademark of the MITRE Corporation and the authoritive source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritive source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritive source of OVAL content is MITRE's OVAL web site.
Warning: This site and all data are provided as is. It is not guaranteed that all information is accurate and complete. Use any information provided on this site at your own risk. By using this site you accept that you know that these data are provided as is and not guaranteed to be accurate, correct or complete. All trademarks appearing on this site are the property of their respective owners in the US or other countries. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss. PLEASE SEE nvd.nist.gov and oval.mitre.org for more details about OVAL language and definitions.
The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor/web site owner/maintainer be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.
Use of OVAL and all related data is subject to terms of use defined by Mitre at http://oval.mitre.org/oval/about/termsofuse.html